<html xmlns:th="http://www.thymeleaf.org">
	<body>
		<div
			th:fragment="form"
			id="formDrawer"
			class="fixed top-0 right-0 z-40 h-screen p-6 overflow-y-auto transition-transform translate-x-full text-left space-y-4 bg-white w-80 md:w-96 dark:bg-gray-800"
			aria-labelledby="formDrawer"
		>
			<div>
				<h5 class="font-semibold dark:text-white">
					Tambah Matakuliah Kurikulum
				</h5>
				<p class="text-gray-500 dark:text-gray-400">
					Silahkan tambah matakuliah kurikulum dengan mengisi form dibawah ini
				</p>
			</div>

			<form id="prosesForm" method="post" th:action="@{/setting/curriculum/subject}" enctype="multipart/form-data" novalidate>
				<div class="flex flex-col gap-6">
					<div class="relative">
						<label
							for="institutionProdi"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Jurusan</label
						>
						<select
							style="width: 100%"
							id="institutionProdi"
							name="institutionProdi"
							class="needs-validation peer hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="">Pilih Jurusan</option>
							<option th:each="data : ${prodiList}" th:text="${data.prodiName}" th:value="${data.id}">Manajemen Bisnis Syariah</option>
						</select>
						<p
							id="errorinstitutionProdi"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="curriculum"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Kurikulum</label
						>
						<select
							style="width: 100%"
							id="curriculum"
							name="curiculum"
							class="needs-validation peer hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
						</select>
						<p
							id="errorcuriculum"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="semester"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Semester</label
						>
						<select
							style="width: 100%"
							id="semester"
							name="semester"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option disabled selected value="" class="text-gray-500">
								-- Pilih Semester --
							</option>
							<option value="1">1 (Semester I)</option>
							<option value="2">2 (Semester II)</option>
							<option value="3">3 (Semester III)</option>
							<option value="4">4 (Semester IV)</option>
							<option value="5">5 (Semester V)</option>
							<option value="6">6 (Semester VI)</option>
							<option value="7">7 (Semester VII)</option>
							<option value="8">8 (Semester VIII)</option>
							<option value="9">9 (Semester IX)</option>
						</select>
						<p
							id="errorsemester"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>
					<div class="relative">
						<label
							for="konsentrasi"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Konsentrasi</label
						>
						<select
							style="width: 100%"
							id="konsentrasi"
							name="institutionConcentration"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
						>
							<option value="">-- Pilih Konsentrasi --</option>
						</select>
						<input type="hidden" name="id" id="CurriculumSubjectId">
						<p
							id="errorinstitutionConcentration"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="subject"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Pilih Matakuliah
						</label>
						<select
							style="width: 100%"
							id="subject"
							name="subject"
							class="needs-validation peer hidden bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option></option>
							<option value="02">Manajemen Bisnis Syariah</option>
							<option value="01">Ekonomi Syariah</option>
							<option value="01" disabled>Eyariah</option>
							<option value="01">ESyariah</option>
						</select>
						<p
							id="errorsubject"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
								for="subject"
								class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
						>Jumlah SKS
						</label>
						<input
								type="text"
								name="sks"
								required
								id="sks"
								class="needs-validation block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
								placeholder="3"
						></input>
						<p
								id="errorsks"
								class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>

					<div class="relative">
						<label
							for="aksesSubject"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Jenis Matakuliah
						</label>
						<select
							style="width: 100%"
							id="aksesSubject"
							name="aksesSubject"
							class="needs-validation bg-gray-50 border border-gray-300 text-gray-900 text-sm rounded-lg focus:ring-blue-500 focus:border-blue-500 w-full p-2.5 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							required
						>
							<option value="" selected disabled>
								-- Pilih Jenis Matakuliah --
							</option>
							<option value="WAJIB">Wajib</option>
							<option value="PILIHAN">Pilihan</option>
						</select>
						<p
							id="erroraksesSubject"
							class="mt-2 text-sm text-red-600 dark:text-red-500 hidden"
						></p>
					</div>
					<div>
						<label
							for="bookReference"
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							>Referensi Buku Pelajaran</label
						>
						<textarea
							id="bookReference"
							name="bookReference"
							rows="4"
							class="block p-2.5 w-full text-sm text-gray-900 bg-gray-50 rounded-lg border border-gray-300 focus:ring-blue-500 focus:border-blue-500 dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400 dark:text-white dark:focus:ring-blue-500 dark:focus:border-blue-500"
							placeholder="buku1, buku2..."
						></textarea>
					</div>
					<div>
						<label
							class="block mb-2 text-sm font-medium text-gray-900 dark:text-white"
							for="file_input"
							>Silabus</label
						>
						<input
							class="block w-full text-sm text-gray-900 border border-gray-300 rounded-lg cursor-pointer bg-gray-50 dark:text-gray-400 focus:outline-none dark:bg-gray-700 dark:border-gray-600 dark:placeholder-gray-400"
							id="file_input"
							type="file"
							name="file"
						/>
					</div>
					<div class="flex items-center">
						<input
							id="allow_transkip"
							name="allowTranskript"
							type="checkbox"
							value="true"
							class="w-4 h-4 text-blue-600 bg-gray-100 border-gray-300 rounded focus:ring-blue-500 dark:focus:ring-blue-600 dark:ring-offset-gray-800 focus:ring-2 dark:bg-gray-700 dark:border-gray-600"
						/>
						<label
							for="allow_transkip"
							class="ms-2 text-sm font-medium text-gray-900 dark:text-gray-300"
							>Tampilkan di Transkip</label
						>
					</div>

					<div class="w-full flex flex-row gap-x-2">
						<button
							type="submit"
							class="text-white bg-blue-700 hover:bg-blue-800 focus:ring-4 focus:outline-none focus:ring-blue-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center dark:bg-blue-600 dark:hover:bg-blue-700 dark:focus:ring-blue-800"
						>
							Submit
						</button>
						<!-- show only on edit -->
						<!-- <a
							th:href="@{'/setting/curriculum/subject'}"
							class="text-red-800 dark:text-red-400 bg-red-50 dark:bg-gray-700 hover:bg-red-100 dark:hover:bg-gray-600 focus:ring-4 focus:outline-none focus:ring-red-300 font-medium rounded-lg text-sm w-full px-5 py-2.5 text-center"
						>
							Batalkan
						</a> -->
					</div>
				</div>
			</form>
		</div>
	</body>
</html>
